unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ComCtrls, langsupp;

type
  TMainForm = class(TForm)
    MainMenu1: TMainMenu;
    Demo1: TMenuItem;
    Changelanguage1: TMenuItem;
    Exit1: TMenuItem;
    Help1: TMenuItem;
    Contents1: TMenuItem;
    N1: TMenuItem;
    LangSupport1: TLangSupport;
    Samples1: TMenuItem;
    First1: TMenuItem;
    Second1: TMenuItem;
    procedure Contents1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure First1Click(Sender: TObject);
    procedure Changelanguage1Click(Sender: TObject);
    procedure Second1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses Unit1, lngsetup, Unit2;

{$R *.DFM}

procedure TMainForm.Contents1Click(Sender: TObject);
begin
   Application.HelpContext(1000);
end;{TMainForm.About1Click}

procedure TMainForm.Exit1Click(Sender: TObject);
begin
   Close;
end;{TMainForm.Exit1Click}

function BlendColors(a,b:TColor;m,d:integer):TColor;  
{$R-}                                                 
   function F(a,b:integer):byte;                      
   begin                                              
      Result:=a+(b-a)*m div d;
   end;{F}
type
   TRGB=array [0..3] of byte;
var
   i:integer;
begin
   a:=ColorToRGB(a);
   b:=ColorToRGB(b);
   Result:=0;
   for i:=0 to 2 do
      TRGB(Result)[i]:=F(TRGB(a)[i],TRGB(b)[i]);
end;{BlendColors}

procedure TMainForm.FormPaint(Sender: TObject);
var
   i,j:integer;
   OfsX,OfsY:integer;

   procedure Fade(x0,x1:integer;a,b:TColor);
   var
      i:integer;
   begin
      with Canvas do
      begin
         Pen.Style:=psSolid;
         Pen.Width:=(x1-x0) div 16;
         for i:=0 to 16 do
         begin
            Pen.Color:=
               BlendColors(a,b,i,16);
            MoveTo(0,x0+Pen.Width*i+Pen.Width div 2);
            LineTo(ClientRect.Right,PenPos.y);
         end;
      end;
   end;{Fade}

begin
   with Canvas do
   begin
      Fade(0,ClientRect.Bottom,clAqua,clNavy);

      Brush.Style:=bsClear;
      Font.Name:='Times';
      Font.Style:=[fsBold,fsItalic];
      Font.Height:=ClientRect.Bottom;
      i:=TextWidth(LangSupport1.ActiveLanguage);
      j:=muldiv(ClientRect.Right,9,10);
      if i>j then
         Font.Height:=MulDiv(Font.Height,j,i);

      OfsX:=(ClientRect.Right-TextWidth(LangSupport1.ActiveLanguage)) div 2;
      OfsY:=(ClientRect.Bottom-Font.Height) div 2;

      Font.Color:=clBtnHighlight;
      TextOut(OfsX-2,OfsY-2,LangSupport1.ActiveLanguage);
      Font.Color:=clBtnShadow;
      TextOut(OfsX+2,OfsY+2,LangSupport1.ActiveLanguage);

      Pen.Mode:=pmXor;
      Fade(OfsY,OfsY+Font.Height,clYellow,clRed);
      Font.Color:=clBlack;
      TextOut(OfsX,OfsY,LangSupport1.ActiveLanguage);
      Fade(OfsY,OfsY+Font.Height,clYellow,clRed);
      Pen.Mode:=pmCopy;
   end;
end;{TMainForm.FormPaint}

procedure TMainForm.FormResize(Sender: TObject);
begin
   Invalidate;
end;{TMainForm.FormResize}

procedure TMainForm.First1Click(Sender: TObject);
begin
   Form1.Show;
end;{TMainForm.First1Click}

procedure TMainForm.Changelanguage1Click(Sender: TObject);
begin
   LangSetupForm.ShowModal;
   Invalidate;
end;

procedure TMainForm.Second1Click(Sender: TObject);
begin
   Form2.Show;
end;

end.
